[Pharo-project] SqueakSource 3

Tobias Pape Das.Linux at gmx.de
Wed Apr 20 16:18:13 CEST 2011


Am 2011-04-20 um 15:33 schrieb Germán Arduino:

> 2011/4/20 Tobias Pape <Das.Linux at gmx.de>:
>> 
>> 
>> oO the Seaside3-dependency should be there.
>> But it is a basic dependency not dictating any adaptor.
>> 
>> To Dale or whoever is capable of this:
>> 
>>        How shall I specify 'I want a working Seaside of version X'
>>        in my metacello Config?
>> 
>>        Aparently, doing
>> 
>>        spec
>>          package: 'SqueakSource-Core' with: [
>>            spec requires: #( "…" 'Seaside Extras' "…" )];
>>          project: 'Seaside Extras' with: [
>>            spec
>>              className: 'ConfigurationOfSeaside30';
>>              loads: #('Seaside-Email' 'RSS-Core');
>>              file: 'ConfigurationOfSeaside30';
>>              versionString: '3.0.4';
>>              repository: 'http://www.squeaksource.com/MetacelloRepository'];
>> 
>>        does not suffice.
>> 
>> 
> 
> Yes, a dependency is missing. Why not load the complete Seaside?
> 

I don't understand.

As an ‘application developer’ I cannot tell the one who will
install that what installtion configuration of seaside to use.
Eg, I cannot say 'use this adaptor' because I do not have
this dependency. 
  Is there a 'default group' for Seaside that brings me 'Seaside-Email',
but a runnable Seaside installation, too?

So Long,
	-Tobias





More information about the Pharo-project mailing list